Package org.apache.solr.cluster.api

## Interface SolrCollection

    @Deprecated
    public interface SolrCollection

Deprecated.
Represents a collection in Solr

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`String` `config()` Deprecated. Name of the configset used by this collection
`String` `name()` Deprecated.
`Router` `router()` Deprecated. Router used in this collection
`SimpleMap<Shard>` `shards()` Deprecated. shards of a collection

### Method Detail

#### name

    String name()

Deprecated.

#### shards

    SimpleMap<Shard> shards()

Deprecated.
shards of a collection

#### config

    String config()

Deprecated.
Name of the configset used by this collection

#### router

    Router router()

Deprecated.
Router used in this collection